mesos-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Mesos-Mini #327
Date Wed, 08 Aug 2018 02:41:03 GMT
See <https://builds.apache.org/job/Mesos-Mini/327/display/redirect>

------------------------------------------
[...truncated 5.40 KB...]
Seen branch in repository origin/tags/0.23.0-rc3
Seen branch in repository origin/tags/0.23.0-rc4
Seen branch in repository origin/tags/0.23.1
Seen branch in repository origin/tags/0.23.1-rc1
Seen branch in repository origin/tags/0.24.0
Seen branch in repository origin/tags/0.24.0-rc1
Seen branch in repository origin/tags/0.24.0-rc2
Seen branch in repository origin/tags/0.24.1
Seen branch in repository origin/tags/0.24.1-rc1
Seen branch in repository origin/tags/0.24.2
Seen branch in repository origin/tags/0.24.2-rc1
Seen branch in repository origin/tags/0.24.2-rc2
Seen branch in repository origin/tags/0.24.2-rc3
Seen branch in repository origin/tags/0.24.2-rc4
Seen branch in repository origin/tags/0.24.2-rc5
Seen branch in repository origin/tags/0.25.0
Seen branch in repository origin/tags/0.25.0-rc1
Seen branch in repository origin/tags/0.25.0-rc2
Seen branch in repository origin/tags/0.25.0-rc3
Seen branch in repository origin/tags/0.25.1
Seen branch in repository origin/tags/0.25.1-rc1
Seen branch in repository origin/tags/0.25.1-rc2
Seen branch in repository origin/tags/0.25.1-rc3
Seen branch in repository origin/tags/0.25.1-rc4
Seen branch in repository origin/tags/0.26.0
Seen branch in repository origin/tags/0.26.0-rc1
Seen branch in repository origin/tags/0.26.0-rc2
Seen branch in repository origin/tags/0.26.0-rc3
Seen branch in repository origin/tags/0.26.0-rc4
Seen branch in repository origin/tags/0.26.0-rc5
Seen branch in repository origin/tags/0.26.1
Seen branch in repository origin/tags/0.26.1-rc1
Seen branch in repository origin/tags/0.26.1-rc2
Seen branch in repository origin/tags/0.26.1-rc3
Seen branch in repository origin/tags/0.26.1-rc4
Seen branch in repository origin/tags/0.26.2
Seen branch in repository origin/tags/0.26.2-rc1
Seen branch in repository origin/tags/0.27.0
Seen branch in repository origin/tags/0.27.0-rc1
Seen branch in repository origin/tags/0.27.0-rc2
Seen branch in repository origin/tags/0.27.1
Seen branch in repository origin/tags/0.27.1-rc1
Seen branch in repository origin/tags/0.27.2
Seen branch in repository origin/tags/0.27.2-rc1
Seen branch in repository origin/tags/0.27.3
Seen branch in repository origin/tags/0.27.3-rc1
Seen branch in repository origin/tags/0.28.0
Seen branch in repository origin/tags/0.28.0-rc1
Seen branch in repository origin/tags/0.28.0-rc2
Seen branch in repository origin/tags/0.28.1
Seen branch in repository origin/tags/0.28.1-rc1
Seen branch in repository origin/tags/0.28.1-rc2
Seen branch in repository origin/tags/0.28.2
Seen branch in repository origin/tags/0.28.2-rc1
Seen branch in repository origin/tags/0.28.3
Seen branch in repository origin/tags/0.28.3-rc1
Seen branch in repository origin/tags/1.0.0
Seen branch in repository origin/tags/1.0.0-rc1
Seen branch in repository origin/tags/1.0.0-rc2
Seen branch in repository origin/tags/1.0.0-rc3
Seen branch in repository origin/tags/1.0.0-rc4
Seen branch in repository origin/tags/1.0.1
Seen branch in repository origin/tags/1.0.1-rc1
Seen branch in repository origin/tags/1.0.2
Seen branch in repository origin/tags/1.0.2-rc1
Seen branch in repository origin/tags/1.0.2-rc2
Seen branch in repository origin/tags/1.0.2-rc3
Seen branch in repository origin/tags/1.0.3
Seen branch in repository origin/tags/1.0.3-rc1
Seen branch in repository origin/tags/1.0.3-rc2
Seen branch in repository origin/tags/1.0.4
Seen branch in repository origin/tags/1.0.4-rc1
Seen branch in repository origin/tags/1.0.4-rc2
Seen branch in repository origin/tags/1.1.0
Seen branch in repository origin/tags/1.1.0-rc1
Seen branch in repository origin/tags/1.1.0-rc2
Seen branch in repository origin/tags/1.1.0-rc3
Seen branch in repository origin/tags/1.1.1
Seen branch in repository origin/tags/1.1.1-rc1
Seen branch in repository origin/tags/1.1.1-rc2
Seen branch in repository origin/tags/1.1.2
Seen branch in repository origin/tags/1.1.2-rc1
Seen branch in repository origin/tags/1.1.2-rc2
Seen branch in repository origin/tags/1.1.3
Seen branch in repository origin/tags/1.1.3-rc1
Seen branch in repository origin/tags/1.1.3-rc2
Seen branch in repository origin/tags/1.2.0
Seen branch in repository origin/tags/1.2.0-rc1
Seen branch in repository origin/tags/1.2.0-rc2
Seen branch in repository origin/tags/1.2.1
Seen branch in repository origin/tags/1.2.1-rc1
Seen branch in repository origin/tags/1.2.2
Seen branch in repository origin/tags/1.2.2-rc1
Seen branch in repository origin/tags/1.2.3
Seen branch in repository origin/tags/1.2.3-rc1
Seen branch in repository origin/tags/1.3.0
Seen branch in repository origin/tags/1.3.0-rc1
Seen branch in repository origin/tags/1.3.0-rc2
Seen branch in repository origin/tags/1.3.0-rc3
Seen branch in repository origin/tags/1.3.1
Seen branch in repository origin/tags/1.3.1-rc1
Seen branch in repository origin/tags/1.3.2
Seen branch in repository origin/tags/1.3.2-rc1
Seen branch in repository origin/tags/1.3.3-rc1
Seen branch in repository origin/tags/1.4.0
Seen branch in repository origin/tags/1.4.0-rc1
Seen branch in repository origin/tags/1.4.0-rc2
Seen branch in repository origin/tags/1.4.0-rc3
Seen branch in repository origin/tags/1.4.0-rc4
Seen branch in repository origin/tags/1.4.0-rc5
Seen branch in repository origin/tags/1.4.1
Seen branch in repository origin/tags/1.4.1-rc1
Seen branch in repository origin/tags/1.5.0
Seen branch in repository origin/tags/1.5.0-rc1
Seen branch in repository origin/tags/1.5.0-rc2
Seen branch in repository origin/tags/1.5.1
Seen branch in repository origin/tags/1.5.1-rc1
Seen branch in repository origin/tags/1.6.0
Seen branch in repository origin/tags/1.6.0-rc1
Seen branch in repository origin/tags/1.6.1
Seen branch in repository origin/tags/1.6.1-rc1
Seen branch in repository origin/tags/1.6.1-rc2
Seen branch in repository origin/tags/release-0.10.0-incubating-RC2
Seen branch in repository origin/tags/release-0.11.0-incubating-RC1
Seen branch in repository origin/tags/release-0.11.0-incubating-RC2
Seen branch in repository origin/tags/release-0.11.0-incubating-RC3
Seen branch in repository origin/tags/release-0.9.0-incubating-RC0
Seen branch in repository origin/tags/release-0.9.0-incubating-RC2
Seen branch in repository origin/tags/release-0.9.0-incubating-RC3
Seen branch in repository origin/tags/release-0.9.0-incubating-RC4
Seen branch in repository origin/tags/release-0.9.0-incubating-RC5
Seen 230 remote branches
 > git show-ref --tags -d # timeout=10
JENKINS-19022: warning: possible memory leak due to Git plugin usage; see: https://wiki.jenkins-ci.org/display/JENKINS/Remove+Git+Plugin+BuildsByBranch+BuildData
Multiple candidate revisions
Scheduling another build to catch up with Mesos-Mini
Checking out Revision 45303cab15dc19818f3ec49c547c7ccecba0aab7 (origin/tags/1.6.1)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 45303cab15dc19818f3ec49c547c7ccecba0aab7
Commit message: "Added MESOS-8987 to the 1.6.1 CHANGELOG."
First time build. Skipping changelog.
[EnvInject] - Executing scripts and injecting environment variables after the SCM step.
[EnvInject] - Injecting as environment variables the properties content 
USERNAME=mesosdockerbot

[EnvInject] - Variables injected successfully.
[EnvInject] - Mask passwords that will be passed as build parameters.
[Mesos-Mini] $ /bin/bash -xe /tmp/jenkins5125549927102642550.sh
+ ./support/jenkins/mini.sh

CURRENT_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SUPPORT_DIR="${CURRENT_DIR}/.."

: ${USERNAME:?"Environment variable 'USERNAME' must be set to the username of the 'Mesos DockerBot'
Docker hub account."}
: ${PASSWORD:?"Environment variable 'PASSWORD' must be set to the password of the 'Mesos DockerBot'
Docker hub account."}

DOCKER_IMAGE_MINI=${DOCKER_IMAGE_MINI:-"mesos/mesos-mini"}
DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=`date +%F`
date +%F

function cleanup {
  docker rmi $(docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}) || true
  docker rmi $(docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}) || true
  docker rmi $(docker images -q ${DOCKER_IMAGE_MINI}:${DOCKER_IMAGE_TAG}) || true
}

trap cleanup EXIT

DOCKER_IMAGE_MINI=${DOCKER_IMAGE_MINI} \
DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING} \
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO} \
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG} \
"${SUPPORT_DIR}/mesos-mini/build.sh"

# This script builds a Docker image that has one master, one agent and
# one example framework (Marathon) running.

CURRENT_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SUPPORT_DIR="${CURRENT_DIR}/.."

DOCKER_IMAGE_MINI=${DOCKER_IMAGE_MINI:-"mesos/mesos-mini"}
DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG:-"latest"}

if ! [ -x "$(command -v docker)" ]; then
  echo 'Error: docker is not installed.' >&2
  exit 1
fi
command -v docker

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING} \
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO} \
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG} \
"${SUPPORT_DIR}/packaging/centos/build-docker-image.sh"

# This script builds a CentOS based docker image with Mesos installed
# using the current head of the source tree.

CENTOS_DIR="$(cd "$(dirname "$0")"; pwd -P)"
cd "$(dirname "$0")"; pwd -P
dirname "$0"
SOURCE_DIR="$(cd ${CENTOS_DIR}/../../..; pwd -P)"
cd ${CENTOS_DIR}/../../..; pwd -P

DOCKER_IMAGE_PACKAGING=${DOCKER_IMAGE_PACKAGING:-"mesos/mesos-centos-packaging"}
DOCKER_IMAGE_DISTRO=${DOCKER_IMAGE_DISTRO:-"mesos/mesos-centos"}
DOCKER_IMAGE_TAG=${DOCKER_IMAGE_TAG:-"latest"}

if ! [ -x "$(command -v docker)" ]; then
  echo 'Error: docker is not installed.' >&2
  exit 1
fi
command -v docker

if [ -d "${SOURCE_DIR}/centos7" ]; then
  echo "Please cleanup 'centos7' under your Mesos source directory"
  exit 1
fi
Please cleanup 'centos7' under your Mesos source directory
cleanup
docker images -q ${DOCKER_IMAGE_PACKAGING}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
docker images -q ${DOCKER_IMAGE_DISTRO}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
docker images -q ${DOCKER_IMAGE_MINI}:${DOCKER_IMAGE_TAG}
"docker rmi" requires at least 1 argument(s).
See 'docker rmi --help'.

Usage:  docker rmi [OPTIONS] IMAGE [IMAGE...]

Remove one or more images
Build step 'Execute shell' marked build as failure

Mime
View raw message